package com.os.ems.base.mapper;

import java.util.List;
import com.os.ems.base.domain.EmsBaseMonitorWorkUnit;

/**
 * 统计计量信息Mapper接口
 * 
 * @author Yinq
 * @date 2024-05-09
 */
public interface EmsBaseMonitorWorkUnitMapper 
{
    /**
     * 查询统计计量信息
     * 
     * @param objId 统计计量信息主键
     * @return 统计计量信息
     */
    public EmsBaseMonitorWorkUnit selectEmsBaseMonitorWorkUnitByObjId(Long objId);

    /**
     * 查询统计计量信息列表
     * 
     * @param emsBaseMonitorWorkUnit 统计计量信息
     * @return 统计计量信息集合
     */
    public List<EmsBaseMonitorWorkUnit> selectEmsBaseMonitorWorkUnitList(EmsBaseMonitorWorkUnit emsBaseMonitorWorkUnit);

    /**
     * 新增统计计量信息
     * 
     * @param emsBaseMonitorWorkUnit 统计计量信息
     * @return 结果
     */
    public int insertEmsBaseMonitorWorkUnit(EmsBaseMonitorWorkUnit emsBaseMonitorWorkUnit);

    /**
     * 修改统计计量信息
     * 
     * @param emsBaseMonitorWorkUnit 统计计量信息
     * @return 结果
     */
    public int updateEmsBaseMonitorWorkUnit(EmsBaseMonitorWorkUnit emsBaseMonitorWorkUnit);

    /**
     * 删除统计计量信息
     * 
     * @param objId 统计计量信息主键
     * @return 结果
     */
    public int deleteEmsBaseMonitorWorkUnitByObjId(Long objId);

    /**
     * 批量删除统计计量信息
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsBaseMonitorWorkUnitByObjIds(Long[] objIds);
}
