package com.os.ems.info.mapper;

import java.util.List;
import com.os.ems.info.domain.SparePartsInventoryCheck;

/**
 * 备件盘点记录明细Mapper接口
 * 
 * @author Yinq
 * @date 2025-06-05
 */
public interface SparePartsInventoryCheckMapper 
{
    /**
     * 查询备件盘点记录明细
     * 
     * @param id 备件盘点记录明细主键
     * @return 备件盘点记录明细
     */
    public SparePartsInventoryCheck selectSparePartsInventoryCheckById(Long id);

    /**
     * 查询备件盘点记录明细列表
     * 
     * @param sparePartsInventoryCheck 备件盘点记录明细
     * @return 备件盘点记录明细集合
     */
    public List<SparePartsInventoryCheck> selectSparePartsInventoryCheckList(SparePartsInventoryCheck sparePartsInventoryCheck);

    /**
     * 新增备件盘点记录明细
     * 
     * @param sparePartsInventoryCheck 备件盘点记录明细
     * @return 结果
     */
    public int insertSparePartsInventoryCheck(SparePartsInventoryCheck sparePartsInventoryCheck);

    /**
     * 修改备件盘点记录明细
     * 
     * @param sparePartsInventoryCheck 备件盘点记录明细
     * @return 结果
     */
    public int updateSparePartsInventoryCheck(SparePartsInventoryCheck sparePartsInventoryCheck);

    /**
     * 删除备件盘点记录明细
     * 
     * @param id 备件盘点记录明细主键
     * @return 结果
     */
    public int deleteSparePartsInventoryCheckById(Long id);

    /**
     * 批量删除备件盘点记录明细
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSparePartsInventoryCheckByIds(Long[] ids);

    /**
     * 查询所有不重复的盘点名称
     * 
     * @return 盘点名称列表
     */
    public List<String> selectDistinctCheckNames();

    /**
     * 查询指定库存记录的最新盘点记录
     * 
     * @param inventoryObjid 库存记录ID
     * @return 最新盘点记录
     */
    public SparePartsInventoryCheck selectLatestCheckByInventoryObjid(Long inventoryObjid);
}
