package com.os.ems.info.mapper;

import java.util.List;
import com.os.ems.info.domain.SparePartsInventory;

/**
 * 备件库记录主Mapper接口
 * 
 * @author Yinq
 * @date 2025-06-05
 */
public interface SparePartsInventoryMapper 
{
    /**
     * 查询备件库记录主
     * 
     * @param objid 备件库记录主主键
     * @return 备件库记录主
     */
    public SparePartsInventory selectSparePartsInventoryByObjid(Long objid);

    /**
     * 查询备件库记录主列表
     * 
     * @param sparePartsInventory 备件库记录主
     * @return 备件库记录主集合
     */
    public List<SparePartsInventory> selectSparePartsInventoryList(SparePartsInventory sparePartsInventory);

    /**
     * 新增备件库记录主
     * 
     * @param sparePartsInventory 备件库记录主
     * @return 结果
     */
    public int insertSparePartsInventory(SparePartsInventory sparePartsInventory);

    /**
     * 修改备件库记录主
     * 
     * @param sparePartsInventory 备件库记录主
     * @return 结果
     */
    public int updateSparePartsInventory(SparePartsInventory sparePartsInventory);

    /**
     * 删除备件库记录主
     * 
     * @param objid 备件库记录主主键
     * @return 结果
     */
    public int deleteSparePartsInventoryByObjid(Long objid);

    /**
     * 批量删除备件库记录主
     * 
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSparePartsInventoryByObjids(Long[] objids);
}
