package com.os.ems.info.service;

/**
 * 通用数据清空Service接口
 * 
 * @author System
 * @date 2025-01-20
 */
public interface ICommonClearService 
{
    /**
     * 清空指定表的所有数据
     * 
     * @param tableName 表名（已通过白名单验证）
     * @return 删除的记录数
     */
    public int clearTableData(String tableName);
    
    /**
     * 清空指定表的所有数据（支持级联删除）
     * 
     * @param tableName 主表名
     * @param moduleKey 业务模块标识
     * @return 删除的记录数
     */
    public int clearTableDataWithCascade(String tableName, String moduleKey);
} 