package com.os.mes.base.mapper;

import java.util.List;
import com.os.mes.base.domain.BaseMaterialInfo;

/**
 * 物料信息Mapper接口
 * 
 * @author Yinq
 * @date 2024-05-10
 */
public interface BaseMaterialInfoMapper 
{
    /**
     * 查询物料信息
     * 
     * @param objId 物料信息主键
     * @return 物料信息
     */
    public BaseMaterialInfo selectBaseMaterialInfoByObjId(Long objId);

    /**
     * 查询物料信息列表
     * 
     * @param baseMaterialInfo 物料信息
     * @return 物料信息集合
     */
    public List<BaseMaterialInfo> selectBaseMaterialInfoList(BaseMaterialInfo baseMaterialInfo);

    /**
     * 新增物料信息
     * 
     * @param baseMaterialInfo 物料信息
     * @return 结果
     */
    public int insertBaseMaterialInfo(BaseMaterialInfo baseMaterialInfo);

    /**
     * 修改物料信息
     * 
     * @param baseMaterialInfo 物料信息
     * @return 结果
     */
    public int updateBaseMaterialInfo(BaseMaterialInfo baseMaterialInfo);

    /**
     * 删除物料信息
     * 
     * @param objId 物料信息主键
     * @return 结果
     */
    public int deleteBaseMaterialInfoByObjId(Long objId);

    /**
     * 批量删除物料信息
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseMaterialInfoByObjIds(Long[] objIds);
}
