package com.os.mes.prod.service;

import java.util.List;

import com.os.mes.prod.domain.ProdBomInfo;

/**
 * 生产BOMService接口
 *
 * @author Yinq
 * @date 2024-05-11
 */
public interface IProdBomInfoService {
    /**
     * 查询生产BOM
     *
     * @param objId 生产BOM主键
     * @return 生产BOM
     */
    public ProdBomInfo selectProdBomInfoByObjId(Long objId);

    /**
     * 查询生产BOM列表
     *
     * @param prodBomInfo 生产BOM
     * @return 生产BOM集合
     */
    public List<ProdBomInfo> selectProdBomInfoList(ProdBomInfo prodBomInfo);

    /**
     * 新增生产BOM
     *
     * @param prodBomInfo 生产BOM
     * @return 结果
     */
    public int insertProdBomInfo(ProdBomInfo prodBomInfo);

    /**
     * 修改生产BOM
     *
     * @param prodBomInfo 生产BOM
     * @return 结果
     */
    public int updateProdBomInfo(ProdBomInfo prodBomInfo);

    /**
     * 批量删除生产BOM
     *
     * @param objIds 需要删除的生产BOM主键集合
     * @return 结果
     */
    public int deleteProdBomInfoByObjIds(Long[] objIds);

    /**
     * 删除生产BOM信息
     *
     * @param objId 生产BOM主键
     * @return 结果
     */
    public int deleteProdBomInfoByObjId(Long objId);

    /**
     * 查询生产BOM树列表
     * @param prodBomInfo
     * @return
     */
    List<ProdBomInfo> selectProductionBomTreeList(ProdBomInfo prodBomInfo);

    /**
     * 通过生产BOM生成工单
     * @param prodBomInfo
     * @return
     */
    List<ProdBomInfo> generateTickets(ProdBomInfo prodBomInfo);
}
