package com.os.mes.record.mapper;

import java.util.List;

import com.os.mes.record.domain.RecordStaffCommute;

/**
 * 员工上下班记录Mapper接口
 *
 * @author Yinq
 * @date 2024-07-01
 */
public interface RecordStaffCommuteMapper {
    /**
     * 查询员工上下班记录
     *
     * @param objId 员工上下班记录主键
     * @return 员工上下班记录
     */
    public RecordStaffCommute selectRecordStaffCommuteByObjId(Long objId);

    /**
     * 查询员工上下班记录列表
     *
     * @param recordStaffCommute 员工上下班记录
     * @return 员工上下班记录集合
     */
    public List<RecordStaffCommute> selectRecordStaffCommuteList(RecordStaffCommute recordStaffCommute);

    /**
     * 新增员工上下班记录
     *
     * @param recordStaffCommute 员工上下班记录
     * @return 结果
     */
    public int insertRecordStaffCommute(RecordStaffCommute recordStaffCommute);

    /**
     * 修改员工上下班记录
     *
     * @param recordStaffCommute 员工上下班记录
     * @return 结果
     */
    public int updateRecordStaffCommute(RecordStaffCommute recordStaffCommute);

    /**
     * 删除员工上下班记录
     *
     * @param objId 员工上下班记录主键
     * @return 结果
     */
    public int deleteRecordStaffCommuteByObjId(Long objId);

    /**
     * 批量删除员工上下班记录
     *
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecordStaffCommuteByObjIds(Long[] objIds);
}
